Function Reference
Matrices as generators of a row space
HAPprime
represents \mathbb{F}G-modules as vector spaces and makes use of standard &GAP; operations and datatypes to store and manipulate them. There are a few particular variants of functions that are not provided as part &GAP;, and they are described here.

<#Include Label="SumIntersectionMatDestructive_manBaseMat"> <#Include Label="SolutionMat_manBaseMat"> <#Include Label="IsSameSubspace_manBaseMat"> <#Include Label="PrintDimensionsMat_manBaseMat">

\mathbb{F}G
-modules
\mathbb{F}G
-module homomorphisms
Resolutions
<#Include Label="ResolutionPrimePowerGroupGF_manResolution"> <#Include Label="ExtendResolutionPrimePowerGroup_manResolution">

Poincaré Series
<#Include Label="PoincareSeriesAutoMem_manPoincare">

Ring structure
<#Include Label="Mod2CohomologyRingPresentation_manRings"> <#Include Label="PresentationOfGradedStructureConstantAlgebra_manRings">

Polynomials
<#Include Label="TermsOfPolynomial_manPolynomial"> <#Include Label="UnivariateMonomialsOfMonomial_manPolynomial"> <#Include Label="IndeterminateAndCoefficientOfUnivariateMonomial_manPolynomial"> <#Include Label="ReduceIdeal_manPolynomial"> <#Include Label="ReducePolynomialRingPresentation_manPolynomial">

Derivations
Test functions
<#Include Label="Random2Group_manTest"> <#Include Label="RandomModule_manTest"> <#Include Label="TestResolutionPrimePowerGroup_manTest"> <#Include Label="FindAllPoincare_manTest">

Miscellaneous functions
<#Include Label="InfoHAPprime_manMisc"> <#Include Label="MakeHAPprimeDoc_manMisc">

Internal Function Reference

These are functions that are used internally in `HAPprime`. They should not be needed by users of the package, but may be useful to developers and are provided for completeness

Matrices as g-generators of a row space

Both FpGModuleGF and FpGModuleHomomorphismGF store a matrix whose rows are g-generators for a module vector space (the module and the homomorphism's image respectively). The internal functions listed here provide common operations for dealing with these matrices.

<#Include Label="HAPPRIME_GActMatrixColumns_manGenMatInt"> <#Include Label="HAPPRIME_ExpandGeneratingRow_manGenMatInt"> <#Include Label="HAPPRIME_ExpandGeneratingRows_manGenMatInt"> <#Include Label="HAPPRIME_AddGeneratingRowToSemiEchelonBasisDestructive_manGenMatInt"> <#Include Label="HAPPRIME_ReduceVectorDestructive_manGenMatInt"> <#Include Label="HAPPRIME_ReduceGeneratorsOfModuleBySemiEchelonDestructive_manGenMatInt"> <#Include Label="HAPPRIME_ReduceGeneratorsOfModuleByLeavingOneOut_manGenMatInt"> <#Include Label="HAPPRIME_DisplayGeneratingRows_manGenMatInt"> <#Include Label="HAPPRIME_GeneratingRowsBlockStructure_manGenMatInt"> <#Include Label="HAPPRIME_DisplayGeneratingRowsBlocks_manGenMatInt"> <#Include Label="HAPPRIME_IndependentGeneratingRows_manGenMatInt"> <#Include Label="HAPPRIME_GactFGvector_manGenMatInt"> <#Include Label="HAPPRIME_CoefficientsOfGeneratingRowsDestructive_manGenMatInt"> <#Include Label="HAPPRIME_GenerateFromGeneratingRowsCoefficients_manGenMatInt"> <#Include Label="HAPPRIME_RemoveZeroBlocks_manGenMatInt"> <#Include Label="HAPPRIME_AddZeroBlocks_manGenMatInt">

\mathbb{F}G
-modules

Internal helper functions for FpGModuleGFss.

Resolutions

Internal helper functions for building resolutions.

Miscellaneous

Miscellaneous internal helper functions.